## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           dtk6core
Version:        6.0.18
Release:        %autorelease
Summary:        Deepin tool kit core modules
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtk6core
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  cmake(Qt6ToolsTools)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  qt6-qtbase-private-devel
%{?_qt6:Requires: %{_qt6}%{?_isa} = %{_qt6_version}}

BuildRequires:  cmake(Dtk6Log)
BuildRequires:  cmake(DtkBuildHelper)
BuildRequires:  cmake(spdlog)
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(uchardet)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  libasan

%description
Deepin tool kit core modules.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcommon-devel%{_isa}

%description    devel
This package contains development files for %{name}.

%prep
%autosetup -p1
# comply with dtkcore in Fedora and dtk6core in Arch Linux
sed -i 's|/etc/os-version|/etc/uos-version|' src/dsysinfo.cpp

%build
%cmake \
    -DBUILD_WITH_SYSTEMD=ON \
    -DDTK_VERSION=%{version} \

%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libdtk6core.so.6*
%dir %{_libexecdir}/dtk6
%{_libexecdir}/dtk6/DCore/

%files devel
%{_libdir}/libdtk6core.so
%dir %{_includedir}/dtk6
%{_includedir}/dtk6/DCore/
%{_libdir}/cmake/Dtk6Core/
%{_libdir}/cmake/Dtk6CMake/
%{_libdir}/cmake/Dtk6DConfig/
%{_libdir}/cmake/Dtk6Tools/
%{_libdir}/pkgconfig/dtk6core.pc
%{_qt6_archdatadir}/mkspecs/modules/*.pri
%{_qt6_archdatadir}/mkspecs/features/*.prf

%changelog
## START: Generated by rpmautospec
* Sat Jul 27 2024 topazus <topazus@outlook.com> - 6.0.18-3
- Add new build dependency of dtk6log

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 topazus <topazus@outlook.com> - 6.0.18-1
- 6.0.18

* Sat Jun 01 2024 topazus <topazus@outlook.com> - 6.0.16-2
- put files in /usr/libexec/dtk6/DCore/ to dtk6core

* Sun May 26 2024 topazus <topazus@outlook.com> - 6.0.16-1
- initial import; rhbz#2283235
## END: Generated by rpmautospec
